/*
 * File:           C:\Users\oleg.tetushkin\Documents\Streamer_ADAU1452_AD1934\ПО_Stock_UK_2\176\Streamer_ADAU1452_Ras_176_IC_1_PARAM.h
 *
 * Created:        Friday, March 31, 2023 1:13:52 PM
 * Description:    Streamer_ADAU1452_Ras_176:IC 1 parameter RAM definitions.
 *
 * This software is distributed in the hope that it will be useful,
 * but is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
 * CONDITIONS OF ANY KIND, without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 * This software may only be used to program products purchased from
 * Analog Devices for incorporation by you into audio products that
 * are intended for resale to audio product end users. This software
 * may not be distributed whole or in any part to third parties.
 *
 * Copyright ©2023 Analog Devices, Inc. All rights reserved.
 */
#ifndef __STREAMER_ADAU1452_RAS_176_IC_1_PARAM_H__
#define __STREAMER_ADAU1452_RAS_176_IC_1_PARAM_H__


/* Module SafeLoadModule - SafeLoadModule*/
#define MOD_SAFELOADMODULE_COUNT                       13
#define MOD_SAFELOADMODULE_DEVICE                      "IC1"
#define MOD_SAFELOADMODULE_DATA_SAFELOAD0_ADDR         24576
#define MOD_SAFELOADMODULE_DATA_SAFELOAD1_ADDR         24577
#define MOD_SAFELOADMODULE_DATA_SAFELOAD2_ADDR         24578
#define MOD_SAFELOADMODULE_DATA_SAFELOAD3_ADDR         24579
#define MOD_SAFELOADMODULE_DATA_SAFELOAD4_ADDR         24580
#define MOD_SAFELOADMODULE_ADDRESS_SAFELOAD_ADDR       24581
#define MOD_SAFELOADMODULE_NUM_SAFELOAD_ADDR           24582

/* Module Auto EQ3 - Automatic Speaker EQ*/
#define MOD_AUTOEQ3_COUNT                              3
#define MOD_AUTOEQ3_DEVICE                             "IC1"
#define MOD_AUTOEQ3_ALG0_BAND0_FILT1_PARAMB1_ADDR      24
#define MOD_AUTOEQ3_ALG0_BAND0_FILT1_PARAMB1_VALUE     SIGMASTUDIOTYPE_8_24_CONVERT(0)
#define MOD_AUTOEQ3_ALG0_BAND0_FILT1_PARAMB1_TYPE      SIGMASTUDIOTYPE_8_24
#define MOD_AUTOEQ3_ALG0_BAND0_FILT1_PARAMB0_ADDR      25
#define MOD_AUTOEQ3_ALG0_BAND0_FILT1_PARAMB0_VALUE     SIGMASTUDIOTYPE_8_24_CONVERT(1)
#define MOD_AUTOEQ3_ALG0_BAND0_FILT1_PARAMB0_TYPE      SIGMASTUDIOTYPE_8_24
#define MOD_AUTOEQ3_ALG0_BAND0_FILT1_PARAMA1_ADDR      26
#define MOD_AUTOEQ3_ALG0_BAND0_FILT1_PARAMA1_VALUE     SIGMASTUDIOTYPE_8_24_CONVERT(0)
#define MOD_AUTOEQ3_ALG0_BAND0_FILT1_PARAMA1_TYPE      SIGMASTUDIOTYPE_8_24

/* Module Auto EQ4 - Automatic Speaker EQ*/
#define MOD_AUTOEQ4_COUNT                              3
#define MOD_AUTOEQ4_DEVICE                             "IC1"
#define MOD_AUTOEQ4_ALG0_BAND0_FILT1_PARAMB1_ADDR      27
#define MOD_AUTOEQ4_ALG0_BAND0_FILT1_PARAMB1_VALUE     SIGMASTUDIOTYPE_8_24_CONVERT(0)
#define MOD_AUTOEQ4_ALG0_BAND0_FILT1_PARAMB1_TYPE      SIGMASTUDIOTYPE_8_24
#define MOD_AUTOEQ4_ALG0_BAND0_FILT1_PARAMB0_ADDR      28
#define MOD_AUTOEQ4_ALG0_BAND0_FILT1_PARAMB0_VALUE     SIGMASTUDIOTYPE_8_24_CONVERT(1)
#define MOD_AUTOEQ4_ALG0_BAND0_FILT1_PARAMB0_TYPE      SIGMASTUDIOTYPE_8_24
#define MOD_AUTOEQ4_ALG0_BAND0_FILT1_PARAMA1_ADDR      29
#define MOD_AUTOEQ4_ALG0_BAND0_FILT1_PARAMA1_VALUE     SIGMASTUDIOTYPE_8_24_CONVERT(0)
#define MOD_AUTOEQ4_ALG0_BAND0_FILT1_PARAMA1_TYPE      SIGMASTUDIOTYPE_8_24

/* Module Auto EQ2 - Automatic Speaker EQ*/
#define MOD_AUTOEQ2_COUNT                              3
#define MOD_AUTOEQ2_DEVICE                             "IC1"
#define MOD_AUTOEQ2_ALG0_BAND0_FILT1_PARAMB1_ADDR      30
#define MOD_AUTOEQ2_ALG0_BAND0_FILT1_PARAMB1_VALUE     SIGMASTUDIOTYPE_8_24_CONVERT(0)
#define MOD_AUTOEQ2_ALG0_BAND0_FILT1_PARAMB1_TYPE      SIGMASTUDIOTYPE_8_24
#define MOD_AUTOEQ2_ALG0_BAND0_FILT1_PARAMB0_ADDR      31
#define MOD_AUTOEQ2_ALG0_BAND0_FILT1_PARAMB0_VALUE     SIGMASTUDIOTYPE_8_24_CONVERT(1)
#define MOD_AUTOEQ2_ALG0_BAND0_FILT1_PARAMB0_TYPE      SIGMASTUDIOTYPE_8_24
#define MOD_AUTOEQ2_ALG0_BAND0_FILT1_PARAMA1_ADDR      32
#define MOD_AUTOEQ2_ALG0_BAND0_FILT1_PARAMA1_VALUE     SIGMASTUDIOTYPE_8_24_CONVERT(0)
#define MOD_AUTOEQ2_ALG0_BAND0_FILT1_PARAMA1_TYPE      SIGMASTUDIOTYPE_8_24

/* Module Auto EQ1 - Automatic Speaker EQ*/
#define MOD_AUTOEQ1_COUNT                              3
#define MOD_AUTOEQ1_DEVICE                             "IC1"
#define MOD_AUTOEQ1_ALG0_BAND0_FILT1_PARAMB1_ADDR      33
#define MOD_AUTOEQ1_ALG0_BAND0_FILT1_PARAMB1_VALUE     SIGMASTUDIOTYPE_8_24_CONVERT(0)
#define MOD_AUTOEQ1_ALG0_BAND0_FILT1_PARAMB1_TYPE      SIGMASTUDIOTYPE_8_24
#define MOD_AUTOEQ1_ALG0_BAND0_FILT1_PARAMB0_ADDR      34
#define MOD_AUTOEQ1_ALG0_BAND0_FILT1_PARAMB0_VALUE     SIGMASTUDIOTYPE_8_24_CONVERT(1)
#define MOD_AUTOEQ1_ALG0_BAND0_FILT1_PARAMB0_TYPE      SIGMASTUDIOTYPE_8_24
#define MOD_AUTOEQ1_ALG0_BAND0_FILT1_PARAMA1_ADDR      35
#define MOD_AUTOEQ1_ALG0_BAND0_FILT1_PARAMA1_VALUE     SIGMASTUDIOTYPE_8_24_CONVERT(0)
#define MOD_AUTOEQ1_ALG0_BAND0_FILT1_PARAMA1_TYPE      SIGMASTUDIOTYPE_8_24

/* Module LB Filter L - Medium-Size Eq*/
#define MOD_LBFILTERL_COUNT                            5
#define MOD_LBFILTERL_DEVICE                           "IC1"
#define MOD_LBFILTERL_ALG0_STAGE0_B2_ADDR              36
#define MOD_LBFILTERL_ALG0_STAGE0_B2_VALUE             SIGMASTUDIOTYPE_8_24_CONVERT(0.989024464698567)
#define MOD_LBFILTERL_ALG0_STAGE0_B2_TYPE              SIGMASTUDIOTYPE_8_24
#define MOD_LBFILTERL_ALG0_STAGE0_B1_ADDR              37
#define MOD_LBFILTERL_ALG0_STAGE0_B1_VALUE             SIGMASTUDIOTYPE_8_24_CONVERT(-1.98900629555171)
#define MOD_LBFILTERL_ALG0_STAGE0_B1_TYPE              SIGMASTUDIOTYPE_8_24
#define MOD_LBFILTERL_ALG0_STAGE0_B0_ADDR              38
#define MOD_LBFILTERL_ALG0_STAGE0_B0_VALUE             SIGMASTUDIOTYPE_8_24_CONVERT(1)
#define MOD_LBFILTERL_ALG0_STAGE0_B0_TYPE              SIGMASTUDIOTYPE_8_24
#define MOD_LBFILTERL_ALG0_STAGE0_A2_ADDR              39
#define MOD_LBFILTERL_ALG0_STAGE0_A2_VALUE             SIGMASTUDIOTYPE_8_24_CONVERT(-0.989024464698567)
#define MOD_LBFILTERL_ALG0_STAGE0_A2_TYPE              SIGMASTUDIOTYPE_8_24
#define MOD_LBFILTERL_ALG0_STAGE0_A1_ADDR              40
#define MOD_LBFILTERL_ALG0_STAGE0_A1_VALUE             SIGMASTUDIOTYPE_8_24_CONVERT(1.98900629555171)
#define MOD_LBFILTERL_ALG0_STAGE0_A1_TYPE              SIGMASTUDIOTYPE_8_24

/* Module LB Filter R - Medium-Size Eq*/
#define MOD_LBFILTERR_COUNT                            5
#define MOD_LBFILTERR_DEVICE                           "IC1"
#define MOD_LBFILTERR_ALG0_STAGE0_B2_ADDR              41
#define MOD_LBFILTERR_ALG0_STAGE0_B2_VALUE             SIGMASTUDIOTYPE_8_24_CONVERT(0.989024464698567)
#define MOD_LBFILTERR_ALG0_STAGE0_B2_TYPE              SIGMASTUDIOTYPE_8_24
#define MOD_LBFILTERR_ALG0_STAGE0_B1_ADDR              42
#define MOD_LBFILTERR_ALG0_STAGE0_B1_VALUE             SIGMASTUDIOTYPE_8_24_CONVERT(-1.98900629555171)
#define MOD_LBFILTERR_ALG0_STAGE0_B1_TYPE              SIGMASTUDIOTYPE_8_24
#define MOD_LBFILTERR_ALG0_STAGE0_B0_ADDR              43
#define MOD_LBFILTERR_ALG0_STAGE0_B0_VALUE             SIGMASTUDIOTYPE_8_24_CONVERT(1)
#define MOD_LBFILTERR_ALG0_STAGE0_B0_TYPE              SIGMASTUDIOTYPE_8_24
#define MOD_LBFILTERR_ALG0_STAGE0_A2_ADDR              44
#define MOD_LBFILTERR_ALG0_STAGE0_A2_VALUE             SIGMASTUDIOTYPE_8_24_CONVERT(-0.989024464698567)
#define MOD_LBFILTERR_ALG0_STAGE0_A2_TYPE              SIGMASTUDIOTYPE_8_24
#define MOD_LBFILTERR_ALG0_STAGE0_A1_ADDR              45
#define MOD_LBFILTERR_ALG0_STAGE0_A1_VALUE             SIGMASTUDIOTYPE_8_24_CONVERT(1.98900629555171)
#define MOD_LBFILTERR_ALG0_STAGE0_A1_TYPE              SIGMASTUDIOTYPE_8_24

/* Module HB Filter R - Medium-Size Eq*/
#define MOD_HBFILTERR_COUNT                            5
#define MOD_HBFILTERR_DEVICE                           "IC1"
#define MOD_HBFILTERR_ALG0_STAGE0_B2_ADDR              46
#define MOD_HBFILTERR_ALG0_STAGE0_B2_VALUE             SIGMASTUDIOTYPE_8_24_CONVERT(0.516803416798308)
#define MOD_HBFILTERR_ALG0_STAGE0_B2_TYPE              SIGMASTUDIOTYPE_8_24
#define MOD_HBFILTERR_ALG0_STAGE0_B1_ADDR              47
#define MOD_HBFILTERR_ALG0_STAGE0_B1_VALUE             SIGMASTUDIOTYPE_8_24_CONVERT(-1.4698997388939)
#define MOD_HBFILTERR_ALG0_STAGE0_B1_TYPE              SIGMASTUDIOTYPE_8_24
#define MOD_HBFILTERR_ALG0_STAGE0_B0_ADDR              48
#define MOD_HBFILTERR_ALG0_STAGE0_B0_VALUE             SIGMASTUDIOTYPE_8_24_CONVERT(1)
#define MOD_HBFILTERR_ALG0_STAGE0_B0_TYPE              SIGMASTUDIOTYPE_8_24
#define MOD_HBFILTERR_ALG0_STAGE0_A2_ADDR              49
#define MOD_HBFILTERR_ALG0_STAGE0_A2_VALUE             SIGMASTUDIOTYPE_8_24_CONVERT(-0.516803416798308)
#define MOD_HBFILTERR_ALG0_STAGE0_A2_TYPE              SIGMASTUDIOTYPE_8_24
#define MOD_HBFILTERR_ALG0_STAGE0_A1_ADDR              50
#define MOD_HBFILTERR_ALG0_STAGE0_A1_VALUE             SIGMASTUDIOTYPE_8_24_CONVERT(1.4698997388939)
#define MOD_HBFILTERR_ALG0_STAGE0_A1_TYPE              SIGMASTUDIOTYPE_8_24

/* Module HB Filter L - Medium-Size Eq*/
#define MOD_HBFILTERL_COUNT                            5
#define MOD_HBFILTERL_DEVICE                           "IC1"
#define MOD_HBFILTERL_ALG0_STAGE0_B2_ADDR              51
#define MOD_HBFILTERL_ALG0_STAGE0_B2_VALUE             SIGMASTUDIOTYPE_8_24_CONVERT(0.516803416798308)
#define MOD_HBFILTERL_ALG0_STAGE0_B2_TYPE              SIGMASTUDIOTYPE_8_24
#define MOD_HBFILTERL_ALG0_STAGE0_B1_ADDR              52
#define MOD_HBFILTERL_ALG0_STAGE0_B1_VALUE             SIGMASTUDIOTYPE_8_24_CONVERT(-1.4698997388939)
#define MOD_HBFILTERL_ALG0_STAGE0_B1_TYPE              SIGMASTUDIOTYPE_8_24
#define MOD_HBFILTERL_ALG0_STAGE0_B0_ADDR              53
#define MOD_HBFILTERL_ALG0_STAGE0_B0_VALUE             SIGMASTUDIOTYPE_8_24_CONVERT(1)
#define MOD_HBFILTERL_ALG0_STAGE0_B0_TYPE              SIGMASTUDIOTYPE_8_24
#define MOD_HBFILTERL_ALG0_STAGE0_A2_ADDR              54
#define MOD_HBFILTERL_ALG0_STAGE0_A2_VALUE             SIGMASTUDIOTYPE_8_24_CONVERT(-0.516803416798308)
#define MOD_HBFILTERL_ALG0_STAGE0_A2_TYPE              SIGMASTUDIOTYPE_8_24
#define MOD_HBFILTERL_ALG0_STAGE0_A1_ADDR              55
#define MOD_HBFILTERL_ALG0_STAGE0_A1_VALUE             SIGMASTUDIOTYPE_8_24_CONVERT(1.4698997388939)
#define MOD_HBFILTERL_ALG0_STAGE0_A1_TYPE              SIGMASTUDIOTYPE_8_24

/* Module SuperBass1 - SuperBass*/
#define MOD_SUPERBASS1_COUNT                           63
#define MOD_SUPERBASS1_DEVICE                          "IC1"
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE0_ADDR 56
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE0_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.1826841)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE0_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE1_ADDR 57
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE1_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.12647421)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE1_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE2_ADDR 58
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE2_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.088855479)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE2_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE3_ADDR 59
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE3_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.062904862)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE3_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE4_ADDR 60
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE4_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.044533232)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE4_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE5_ADDR 61
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE5_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.031527114)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE5_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE6_ADDR 62
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE6_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.033977151)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE6_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE7_ADDR 63
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE7_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.19804547)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE7_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE8_ADDR 64
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE8_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.69670633)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE8_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE9_ADDR 65
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE9_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(1.3674433)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE9_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE10_ADDR 66
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE10_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(2.2220226)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE10_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE11_ADDR 67
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE11_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(2.9852311)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE11_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE12_ADDR 68
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE12_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(3.5237057)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE12_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE13_ADDR 69
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE13_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(3.8942309)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE13_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE14_ADDR 70
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE14_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(4.0771258)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE14_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE15_ADDR 71
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE15_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(4.0917289)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE15_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE16_ADDR 72
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE16_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(3.9828125)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE16_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE17_ADDR 73
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE17_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(3.8046359)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE17_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE18_ADDR 74
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE18_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(3.5892178)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE18_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE19_ADDR 75
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE19_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(3.2647168)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE19_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE20_ADDR 76
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE20_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(2.9283143)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE20_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE21_ADDR 77
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE21_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(2.6694572)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE21_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE22_ADDR 78
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE22_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(2.3898338)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE22_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE23_ADDR 79
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE23_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(1.9812412)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE23_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE24_ADDR 80
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE24_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(1.5719368)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE24_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE25_ADDR 81
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE25_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(1.3098184)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE25_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE26_ADDR 82
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE26_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(1.0931508)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE26_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE27_ADDR 83
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE27_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.83773108)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE27_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE28_ADDR 84
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE28_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.63345799)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE28_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE29_ADDR 85
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE29_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.49910892)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE29_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE30_ADDR 86
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE30_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.37685093)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE30_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE31_ADDR 87
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE31_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.26679003)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE31_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE32_ADDR 88
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE32_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.18887287)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001COMPBASE32_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS20_ADDR 89
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS20_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.999430096694071)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS20_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS21_ADDR 90
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS21_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(-1.99886019338814)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS21_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS22_ADDR 91
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS22_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.999430096694071)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS22_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS23_ADDR 92
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS23_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(-0.998860842597923)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS23_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS24_ADDR 93
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS24_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(1.99885954417836)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS24_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS25_ADDR 94
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS25_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(-0.999430421114073)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS25_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS26_ADDR 95
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS26_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.999430421114073)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS26_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS27_ADDR 96
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS27_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.998860842228146)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS27_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS28_ADDR 97
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS28_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(3.24604890076941E-07)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS28_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS29_ADDR 98
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS29_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(6.49209780153883E-07)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS29_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS210_ADDR 99
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS210_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(3.24604890076941E-07)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS210_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS211_ADDR 100
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS211_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(-0.998860842597923)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS211_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS212_ADDR 101
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS212_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(1.99885954417836)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS212_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS213_ADDR 102
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS213_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.000569578885926847)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS213_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS214_ADDR 103
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS214_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.000569578885926847)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS214_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS215_ADDR 104
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS215_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.998860842228146)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BS215_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001ALPHA0_ADDR 105
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001ALPHA0_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.999886627742313)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001ALPHA0_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001ALPHA1_ADDR 106
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001ALPHA1_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.000113372257687039)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001ALPHA1_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001XOFF_ADDR 107
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001XOFF_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(2.69601230919455)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001XOFF_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001SAT_ADDR 108
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001SAT_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(12)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001SAT_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001XL_ADDR 109
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001XL_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(1.34800615459728)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001XL_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001DC_ADDR 110
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001DC_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.7)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001DC_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001GOUT_ADDR 111
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001GOUT_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.5)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001GOUT_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001K_ADDR 24584
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001K_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(1.1)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001K_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001A6_ADDR 24585
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001A6_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.7)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001A6_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001A0_ADDR 24586
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001A0_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.5)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001A0_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001RMS_ADDR 24587
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001RMS_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.000377475887531897)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001RMS_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001DECAY_ADDR 24591
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001DECAY_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(2.05165225812547E-06)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001DECAY_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001POSTGAIN_ADDR 24593
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001POSTGAIN_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(1.2)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001POSTGAIN_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BYPASS_ADDR 24595
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BYPASS_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(1)
#define MOD_SUPERBASS1_ALG0_SUPERBASSALGSTEREOS3001BYPASS_TYPE SIGMASTUDIOTYPE_8_24

/* Module Nx1 Linear_L - Nx1 Mixer (Linear)*/
#define MOD_NX1LINEAR_L_COUNT                          2
#define MOD_NX1LINEAR_L_DEVICE                         "IC1"
#define MOD_NX1LINEAR_L_ALG0_MIXER2X1NOSLEWS300ALG1VOL0000_ADDR 112
#define MOD_NX1LINEAR_L_ALG0_MIXER2X1NOSLEWS300ALG1VOL0000_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(1)
#define MOD_NX1LINEAR_L_ALG0_MIXER2X1NOSLEWS300ALG1VOL0000_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_NX1LINEAR_L_ALG0_MIXER2X1NOSLEWS300ALG1VOL0001_ADDR 113
#define MOD_NX1LINEAR_L_ALG0_MIXER2X1NOSLEWS300ALG1VOL0001_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(1)
#define MOD_NX1LINEAR_L_ALG0_MIXER2X1NOSLEWS300ALG1VOL0001_TYPE SIGMASTUDIOTYPE_8_24

/* Module Nx1 Linear_R - Nx1 Mixer (Linear)*/
#define MOD_NX1LINEAR_R_COUNT                          2
#define MOD_NX1LINEAR_R_DEVICE                         "IC1"
#define MOD_NX1LINEAR_R_ALG0_MIXER2X1NOSLEWS300ALG2VOL0000_ADDR 114
#define MOD_NX1LINEAR_R_ALG0_MIXER2X1NOSLEWS300ALG2VOL0000_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(1)
#define MOD_NX1LINEAR_R_ALG0_MIXER2X1NOSLEWS300ALG2VOL0000_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_NX1LINEAR_R_ALG0_MIXER2X1NOSLEWS300ALG2VOL0001_ADDR 115
#define MOD_NX1LINEAR_R_ALG0_MIXER2X1NOSLEWS300ALG2VOL0001_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(1)
#define MOD_NX1LINEAR_R_ALG0_MIXER2X1NOSLEWS300ALG2VOL0001_TYPE SIGMASTUDIOTYPE_8_24

/* Module SW vol_L - Single SW slew vol (adjustable)*/
#define MOD_SWVOL_L_COUNT                              3
#define MOD_SWVOL_L_DEVICE                             "IC1"
#define MOD_SWVOL_L_ALG0_SWGAINOPTADAU145XALG1TARGET_ADDR 117
#define MOD_SWVOL_L_ALG0_SWGAINOPTADAU145XALG1TARGET_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.01)
#define MOD_SWVOL_L_ALG0_SWGAINOPTADAU145XALG1TARGET_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SWVOL_L_ALG0_SWGAINOPTADAU145XALG1ALPHA0_ADDR 118
#define MOD_SWVOL_L_ALG0_SWGAINOPTADAU145XALG1ALPHA0_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.999930801536898)
#define MOD_SWVOL_L_ALG0_SWGAINOPTADAU145XALG1ALPHA0_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SWVOL_L_ALG0_SWGAINOPTADAU145XALG1ALPHA1_ADDR 119
#define MOD_SWVOL_L_ALG0_SWGAINOPTADAU145XALG1ALPHA1_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(6.91984631021603E-05)
#define MOD_SWVOL_L_ALG0_SWGAINOPTADAU145XALG1ALPHA1_TYPE SIGMASTUDIOTYPE_8_24

/* Module SW vol_R - Single SW slew vol (adjustable)*/
#define MOD_SWVOL_R_COUNT                              3
#define MOD_SWVOL_R_DEVICE                             "IC1"
#define MOD_SWVOL_R_ALG0_SWGAINOPTADAU145XALG2TARGET_ADDR 121
#define MOD_SWVOL_R_ALG0_SWGAINOPTADAU145XALG2TARGET_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.01)
#define MOD_SWVOL_R_ALG0_SWGAINOPTADAU145XALG2TARGET_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SWVOL_R_ALG0_SWGAINOPTADAU145XALG2ALPHA0_ADDR 122
#define MOD_SWVOL_R_ALG0_SWGAINOPTADAU145XALG2ALPHA0_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0.999930801536898)
#define MOD_SWVOL_R_ALG0_SWGAINOPTADAU145XALG2ALPHA0_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_SWVOL_R_ALG0_SWGAINOPTADAU145XALG2ALPHA1_ADDR 123
#define MOD_SWVOL_R_ALG0_SWGAINOPTADAU145XALG2ALPHA1_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(6.91984631021603E-05)
#define MOD_SWVOL_R_ALG0_SWGAINOPTADAU145XALG2ALPHA1_TYPE SIGMASTUDIOTYPE_8_24

/* Module 2xN-1 - Stereo Switch 2xN*/
#define MOD_2XN_1_COUNT                                2
#define MOD_2XN_1_DEVICE                               "IC1"
#define MOD_2XN_1_ALG0_STEREODEMUXSIGMA300NS1VOL0_ADDR 124
#define MOD_2XN_1_ALG0_STEREODEMUXSIGMA300NS1VOL0_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(1)
#define MOD_2XN_1_ALG0_STEREODEMUXSIGMA300NS1VOL0_TYPE SIGMASTUDIOTYPE_8_24
#define MOD_2XN_1_ALG0_STEREODEMUXSIGMA300NS1VOL1_ADDR 125
#define MOD_2XN_1_ALG0_STEREODEMUXSIGMA300NS1VOL1_VALUE SIGMASTUDIOTYPE_8_24_CONVERT(0)
#define MOD_2XN_1_ALG0_STEREODEMUXSIGMA300NS1VOL1_TYPE SIGMASTUDIOTYPE_8_24

/* Module Gain1_3 - Gain*/
#define MOD_GAIN1_3_COUNT                              1
#define MOD_GAIN1_3_DEVICE                             "IC1"
#define MOD_GAIN1_3_GAINALGNS145X3GAIN_ADDR            126
#define MOD_GAIN1_3_GAINALGNS145X3GAIN_VALUE           SIGMASTUDIOTYPE_8_24_CONVERT(1)
#define MOD_GAIN1_3_GAINALGNS145X3GAIN_TYPE            SIGMASTUDIOTYPE_8_24

/* Module Gain1_2 - Gain*/
#define MOD_GAIN1_2_COUNT                              1
#define MOD_GAIN1_2_DEVICE                             "IC1"
#define MOD_GAIN1_2_GAINALGNS145X2GAIN_ADDR            127
#define MOD_GAIN1_2_GAINALGNS145X2GAIN_VALUE           SIGMASTUDIOTYPE_8_24_CONVERT(1)
#define MOD_GAIN1_2_GAINALGNS145X2GAIN_TYPE            SIGMASTUDIOTYPE_8_24

/* Module Mute1 - Mute*/
#define MOD_MUTE1_COUNT                                1
#define MOD_MUTE1_DEVICE                               "IC1"
#define MOD_MUTE1_MUTENOSLEWADAU145XALG1MUTE_ADDR      128
#define MOD_MUTE1_MUTENOSLEWADAU145XALG1MUTE_FIXPT     0x00000001
#define MOD_MUTE1_MUTENOSLEWADAU145XALG1MUTE_VALUE     SIGMASTUDIOTYPE_INTEGER_CONVERT(1)
#define MOD_MUTE1_MUTENOSLEWADAU145XALG1MUTE_TYPE      SIGMASTUDIOTYPE_INTEGER

/* Module Single L - Single Volume*/
#define MOD_SINGLEL_COUNT                              1
#define MOD_SINGLEL_DEVICE                             "IC1"
#define MOD_SINGLEL_GAINALGNS145X4GAIN_ADDR            129
#define MOD_SINGLEL_GAINALGNS145X4GAIN_VALUE           SIGMASTUDIOTYPE_8_24_CONVERT(0.630957344480193)
#define MOD_SINGLEL_GAINALGNS145X4GAIN_TYPE            SIGMASTUDIOTYPE_8_24

/* Module Single R - Single Volume*/
#define MOD_SINGLER_COUNT                              1
#define MOD_SINGLER_DEVICE                             "IC1"
#define MOD_SINGLER_GAINALGNS145X1GAIN_ADDR            130
#define MOD_SINGLER_GAINALGNS145X1GAIN_VALUE           SIGMASTUDIOTYPE_8_24_CONVERT(0.630957344480193)
#define MOD_SINGLER_GAINALGNS145X1GAIN_TYPE            SIGMASTUDIOTYPE_8_24

/* Module Inv1_2 - Signal Invert*/
#define MOD_INV1_2_COUNT                               1
#define MOD_INV1_2_DEVICE                              "IC1"
#define MOD_INV1_2_EQS300INVERT2INVERT_ADDR            131
#define MOD_INV1_2_EQS300INVERT2INVERT_FIXPT           0x00000001
#define MOD_INV1_2_EQS300INVERT2INVERT_VALUE           SIGMASTUDIOTYPE_INTEGER_CONVERT(1)
#define MOD_INV1_2_EQS300INVERT2INVERT_TYPE            SIGMASTUDIOTYPE_INTEGER

/* Module Inv1_3 - Signal Invert*/
#define MOD_INV1_3_COUNT                               1
#define MOD_INV1_3_DEVICE                              "IC1"
#define MOD_INV1_3_EQS300INVERT3INVERT_ADDR            132
#define MOD_INV1_3_EQS300INVERT3INVERT_FIXPT           0x00000001
#define MOD_INV1_3_EQS300INVERT3INVERT_VALUE           SIGMASTUDIOTYPE_INTEGER_CONVERT(1)
#define MOD_INV1_3_EQS300INVERT3INVERT_TYPE            SIGMASTUDIOTYPE_INTEGER

#endif
